Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PointLight Class Reference

ポイントライト More...

`#include <PointLight.h>`

Inheritance diagram for Lamp::PointLight:

List of all members.

## Public Member Functions
virtual SceneLeaf * | copy (u_int copyMask=0) const
| コピー
virtual Light * | copyLight () const
| コピー
virtual PointLight * | copyPointLight () const
| ポイントライトのコピー
virtual void | setColor (const Color3f &color)
| ライト色の設定
virtual Color3f | getColor () const
| ライト色の取得
virtual void | setDiffuseColor (const Color3f &color)
| ディフューズライト色の設定
virtual const Color3f & | getDiffuseColor () const
| ディフューズライト色の取得
virtual void | setSpecularColor (const Color3f &color)
| スペキュラライト色の設定
virtual const Color3f & | getSpecularColor () const
| スペキュラライト色の取得
virtual void | setPosition (const Vector3 &position)
| ライトの位置設定
virtual const Vector3 & | getPosition () const
| ライトのワールド位置取得
virtual const Vector3 & | getWorldPosition () const
| ライトのワールド位置取得
virtual void | setRange (float range)
| レンジの設定
virtual float | getRange () const
| レンジの取得
virtual float | getGlobalRange () const
| グローバルレンジの取得
virtual void | setAttenuation (float attenuation0, float attenuation1, float attenuation2)
| 減衰係数の設定
virtual void | setAttenuation0 (float attenuation0)
| 減衰係数0の設定
virtual float | getAttenuation0 () const
| 減衰係数0の取得
virtual void | setAttenuation1 (float attenuation1)
| 減衰係数1の設定
virtual float | getAttenuation1 () const
| 減衰係数1の取得
virtual void | setAttenuation2 (float attenuation2)
| 減衰係数2の設定
virtual float | getAttenuation2 () const
| 減衰係数2の取得
virtual void | setSquaredCameraDistance (float squaredCameraDistance)
| カメラとの距離の2乗の設定
virtual float | getSquaredCameraDistance () const
| カメラとの距離の2乗の取得
virtual bool | isPointLight () const
| ポイントライトかどうか
## Protected Member Functions
| PointLight (const String &name, Scene *scene)
| コンストラクタ
virtual | ~PointLight ()
| デストラクタ
virtual void | traverse (const Matrix34 &parentMatrix, bool parentEnabled, bool parentScaled, bool parentChanged)
| 走査
## Friends
class | LightManager

## Detailed Description

ポイントライト

Definition at line 36 of file PointLight.h.

## Constructor & Destructor Documentation

Lamp::PointLight::PointLight | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 34 of file PointLight.cpp.

## Member Function Documentation

virtual SceneLeaf* Lamp::PointLight::copy | ( | u_int | copyMask = 0 | ) | const`[inline, virtual]`

  | コピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたシーンリーフ Implements Lamp::SceneLeaf. Definition at line 45 of file PointLight.h. References copyPointLight().

virtual Light* Lamp::PointLight::copyLight | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたライト Implements Lamp::Light. Definition at line 53 of file PointLight.h. References copyPointLight(). Referenced by copyPointLight().

PointLight * Lamp::PointLight::copyPointLight | ( |  | ) | const`[virtual]`

| ポイントライトのコピー Returns: コピーされたモデル Definition at line 47 of file PointLight.cpp. References copyLight(), Lamp::Light::copyLightValue(), Lamp::LightManager::createPointLight(), Lamp::Scene::getLightManager(), Lamp::SceneObject::name_, Lamp::SceneObjectManagerTemplate< Light >::rename(), Lamp::SceneObject::scene_, setAttenuation(), setDiffuseColor(), setPosition(), setRange(), and setSpecularColor(). Referenced by copy(), and copyLight().

virtual float Lamp::PointLight::getAttenuation0 | ( |  | ) | const`[inline, virtual]`

| 減衰係数0の取得 Returns: 減衰係数0 Definition at line 177 of file PointLight.h. Referenced by Lamp::RenderingDevice::enablePointLight(), Lamp::TextSceneSaver::writePointLight(), and Lamp::BinarySceneSaver::writePointLight().

virtual float Lamp::PointLight::getAttenuation1 | ( |  | ) | const`[inline, virtual]`

| 減衰係数1の取得 Returns: 減衰係数1 Definition at line 192 of file PointLight.h. Referenced by Lamp::RenderingDevice::enablePointLight(), Lamp::TextSceneSaver::writePointLight(), and Lamp::BinarySceneSaver::writePointLight().

virtual float Lamp::PointLight::getAttenuation2 | ( |  | ) | const`[inline, virtual]`

| 減衰係数2の取得 Returns: 減衰係数2 Definition at line 207 of file PointLight.h. Referenced by Lamp::RenderingDevice::enablePointLight(), Lamp::TextSceneSaver::writePointLight(), and Lamp::BinarySceneSaver::writePointLight().

virtual Color3f Lamp::PointLight::getColor | ( |  | ) | const`[inline, virtual]`

| ライト色の取得 Returns: ライト色 Implements Lamp::Light. Definition at line 74 of file PointLight.h. References Lamp::Color3f::b, Lamp::Color3f::g, and Lamp::Color3f::r.

virtual const Color3f& Lamp::PointLight::getDiffuseColor | ( |  | ) | const`[inline, virtual]`

| ディフューズライト色の取得 Returns: ディフューズライト色 Definition at line 92 of file PointLight.h. Referenced by Lamp::RenderingDevice::enablePointLight(), Lamp::TextSceneSaver::writePointLight(), and Lamp::BinarySceneSaver::writePointLight().

virtual float Lamp::PointLight::getGlobalRange | ( |  | ) | const`[inline, virtual]`

| グローバルレンジの取得 Returns: グローバルレンジ Definition at line 148 of file PointLight.h. Referenced by Lamp::RenderingDevice::enablePointLight().

virtual const Vector3& Lamp::PointLight::getPosition | ( |  | ) | const`[inline, virtual]`

| ライトのワールド位置取得 Returns: ライトのワールド位置 Definition at line 120 of file PointLight.h. Referenced by Lamp::TextSceneSaver::writePointLight(), and Lamp::BinarySceneSaver::writePointLight().

virtual float Lamp::PointLight::getRange | ( |  | ) | const`[inline, virtual]`

| レンジの取得 Returns: レンジ Definition at line 142 of file PointLight.h. Referenced by Lamp::Scene::getLocalLightList(), Lamp::TextSceneSaver::writePointLight(), and Lamp::BinarySceneSaver::writePointLight().

virtual const Color3f& Lamp::PointLight::getSpecularColor | ( |  | ) | const`[inline, virtual]`

| スペキュラライト色の取得 Returns: スペキュラライト色 Definition at line 107 of file PointLight.h. Referenced by Lamp::RenderingDevice::enablePointLight(), Lamp::TextSceneSaver::writePointLight(), and Lamp::BinarySceneSaver::writePointLight().

virtual float Lamp::PointLight::getSquaredCameraDistance | ( |  | ) | const`[inline, virtual]`

| カメラとの距離の2乗の取得 Returns: カメラとの距離の2乗 Definition at line 222 of file PointLight.h.

virtual const Vector3& Lamp::PointLight::getWorldPosition | ( |  | ) | const`[inline, virtual]`

| ライトのワールド位置取得 Returns: ライトのワールド位置 Definition at line 126 of file PointLight.h. References Assert, Lamp::SceneLeaf::getParent(), and NULL. Referenced by Lamp::RenderingDevice::enablePointLight(), Lamp::Scene::getLocalLightList(), and Lamp::DrawRequest::sortLocalLightsImprement().

virtual bool Lamp::PointLight::isPointLight | ( |  | ) | const`[inline, virtual]`

| ポイントライトかどうか Returns: ポイントライトならtrue Reimplemented from Lamp::Light. Definition at line 231 of file PointLight.h.

virtual void Lamp::PointLight::setAttenuation | ( | float | attenuation0,
|  | float | attenuation1,
|  | float | attenuation2
| ) | `[inline, virtual]`

  | 減衰係数の設定 Parameters:
  attenuation0 | 減衰係数0
  attenuation1 | 減衰係数1
  attenuation2 | 減衰係数2
Definition at line 157 of file PointLight.h. Referenced by copyPointLight(), Lamp::TextSceneLoader::readPointLight(), and Lamp::BinarySceneLoader::readPointLight().

virtual void Lamp::PointLight::setAttenuation0 | ( | float | attenuation0 | ) | `[inline, virtual]`

  | 減衰係数0の設定 Parameters:
  attenuation0 | 減衰係数0
Definition at line 169 of file PointLight.h.

virtual void Lamp::PointLight::setAttenuation1 | ( | float | attenuation1 | ) | `[inline, virtual]`

  | 減衰係数1の設定 Parameters:
  attenuation1 | 減衰係数1
Definition at line 184 of file PointLight.h.

virtual void Lamp::PointLight::setAttenuation2 | ( | float | attenuation2 | ) | `[inline, virtual]`

  | 減衰係数2の設定 Parameters:
  attenuation2 | 減衰係数2
Definition at line 199 of file PointLight.h.

virtual void Lamp::PointLight::setColor | ( | const Color3f & | color | ) | `[inline, virtual]`

  | ライト色の設定 Parameters:
  color | ライト色
Implements Lamp::Light. Definition at line 66 of file PointLight.h.

virtual void Lamp::PointLight::setDiffuseColor | ( | const Color3f & | color | ) | `[inline, virtual]`

  | ディフューズライト色の設定 Parameters:
  color | ディフューズライト色
Definition at line 86 of file PointLight.h. Referenced by copyPointLight(), Lamp::TextSceneLoader::readPointLight(), and Lamp::BinarySceneLoader::readPointLight().

virtual void Lamp::PointLight::setPosition | ( | const Vector3 & | position | ) | `[inline, virtual]`

  | ライトの位置設定 Parameters:
  position | ライトの位置
Definition at line 114 of file PointLight.h. Referenced by copyPointLight(), Lamp::TextSceneLoader::readPointLight(), and Lamp::BinarySceneLoader::readPointLight().

virtual void Lamp::PointLight::setRange | ( | float | range | ) | `[inline, virtual]`

  | レンジの設定 Parameters:
  range | レンジ
Definition at line 136 of file PointLight.h. Referenced by copyPointLight(), Lamp::TextSceneLoader::readPointLight(), and Lamp::BinarySceneLoader::readPointLight().

virtual void Lamp::PointLight::setSpecularColor | ( | const Color3f & | color | ) | `[inline, virtual]`

  | スペキュラライト色の設定 Parameters:
  color | スペキュラライト色
Definition at line 99 of file PointLight.h. Referenced by copyPointLight(), Lamp::TextSceneLoader::readPointLight(), and Lamp::BinarySceneLoader::readPointLight().

virtual void Lamp::PointLight::setSquaredCameraDistance | ( | float | squaredCameraDistance | ) | `[inline, virtual]`

  | カメラとの距離の2乗の設定 Parameters:
  squaredCameraDistance | カメラとの距離の2乗
Definition at line 214 of file PointLight.h.

void Lamp::PointLight::traverse | ( | const Matrix34 & | parentMatrix,
|  | bool | parentEnabled,
|  | bool | parentScaled,
|  | bool | parentChanged
| ) | `[protected, virtual]`

  | 走査 Parameters:
  parentMatrix | 親行列
  parentEnabled | 親が有効か
  parentScaled | 親がスケールを使用しているか
  parentChanged | 親に変更があったか
Reimplemented from Lamp::SceneLeaf. Definition at line 63 of file PointLight.cpp. References Lamp::Matrix34::m.

The documentation for this class was generated from the following files:

- PointLight.h
- PointLight.cpp